Create configuration override

Create configuration overrides for a specific MCP tool.

Path parameters

mcp_server_idstringRequired
ID of the MCP Server.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
tool_namestringRequired
The name of the MCP tool
pre_tool_speechenumOptionalDefaults to auto

If set, overrides the server’s pre_tool_speech setting for this tool.

Allowed values:
disable_interruptionsbooleanOptional

If set, overrides the server’s disable_interruptions setting for this tool

tool_call_soundenumOptional

If set, overrides the server’s tool_call_sound setting for this tool

Allowed values:
tool_call_sound_behaviorenumOptionalDefaults to auto

If set, overrides the server’s tool_call_sound_behavior setting for this tool

Allowed values:
execution_modeenumOptionalDefaults to immediate

If set, overrides the server’s execution_mode setting for this tool

Allowed values:
response_timeout_secsintegerOptional5-300
If set, overrides the server's response timeout for this MCP tool.
assignmentslist of objectsOptional
Dynamic variable assignments for this MCP tool
input_overridesmap from strings to optional objectsOptional
Mapping of json path to input override configuration
response_mockslist of objectsOptional

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

force_pre_tool_speechbooleanOptionalDeprecated

DEPRECATED: use pre_tool_speech instead. If set, overrides the server’s force_pre_tool_speech setting for this tool.

Response

Successful Response
idstring
configobject
metadataobject
The metadata of the MCP Server
access_infoobject
The access information of the MCP Server
dependent_agentslist of objects
List of agents that depend on this MCP Server.

Errors

409
Tool Configs Create Request Conflict Error
422
Tool Configs Create Request Unprocessable Entity Error